bcr_test_module:
  module_path: "e2e/smoke"
  matrix:
    bazel: ["7.x", "8.x", "9.*"]
    platform: ["debian11", "macos", "ubuntu2204", "windows"]
  tasks:
    run_tests:
      name: "Run test module"
      bazel: ${{ bazel }}
      platform: ${{ platform }}
      test_targets:
        - "//..."
      test_flags:
        - "--test_tag_filters=-skip-on-bazelci-windows"
